VERSION 5.00
Begin VB.Form FrmDriverVb6Minimum 
   Caption         =   "Form1"
   ClientHeight    =   735
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   4650
   LinkTopic       =   "Form1"
   ScaleHeight     =   735
   ScaleWidth      =   4650
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton CmdMoveMotorWait 
      Caption         =   "Move Motor and Wait for Program to Finish"
      Height          =   495
      Left            =   2400
      TabIndex        =   1
      Top             =   120
      Width           =   2055
   End
   Begin VB.CommandButton CmdMoveMotor 
      Caption         =   "Move Motor"
      Height          =   495
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1935
   End
End
Attribute VB_Name = "FrmDriverVb6Minimum"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Public VXM As ClsVxmDriverVb6
Public AppPath As String

Private Sub Form_Load()
    Set VXM = New ClsVxmDriverVb6
    AppPath = App.Path
    Dim DriverLoaded As Long
    DriverLoaded = VXM.LoadDriver(AppPath + "\Driver\VxmDriver.dll")
End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    VXM.DriverTerminalShowState 0       'Use 0 to hide Terminal if was shown earlier
    VXM.PortClose                       'Close the port in case still open
    VXM.ReleaseDriver
    Set VXM = Nothing
End Sub

Private Sub CmdMoveMotor_Click()
    VXM.PortOpen 1, 9600
    VXM.PortSendCommands "F,C,I1M400,I1M-400,R"
    VXM.PortClose
End Sub

Private Sub CmdMoveMotorWait_Click()
    VXM.PortOpen 1, 9600
    VXM.PortSendCommands "F,C,I1M400,I1M-400,R"
    VXM.PortWaitForChar "^", 0
    VXM.PortClose
End Sub

